#ifndef GATETOFERMAT_H
#define THEPATH "/users/guest/asmirnov/fermat/ferl"
#define GATETOFERMAT_H 1


#ifdef __cplusplus
extern "C" {
#endif

/*mustCleanup == 0 -- no allocated memory free:*/
void closeCalc(int mustCleanup);

char *calc(char *);

/* Make some initializetions and start Fermat. pvars is a 
   list of polynomial variables separated by '\n', like: "a\nb\nc"
   or "a\nb\nc\n\n":*/
int iniCalc(char *path,char *pvars);

/* add new variables*/
int addVars(char *pvars);

#ifdef __cplusplus
}
#endif
#endif
